> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Memory Source

> Update an existing memory source



## OpenAPI

````yaml /api-reference/openapi.json put /v1/bot/source/update
openapi: 3.0.0
info:
  title: BoostGPT API
  version: 1.0.0
  description: API for managing AI agents with memory capabilities
servers:
  - url: https://api.boostgpt.co
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Agent
    description: Operations for managing AI agents
  - name: Memory
    description: Operations for managing agent memory sources
  - name: Chat
    description: Operations for chatting with agents and managing conversations
  - name: Subscribers
    description: Operations for managing subscribers and leads
  - name: Tools
    description: Operations for managing agent tools and MCP server integrations
  - name: Analytics
    description: Operations for retrieving agent statistics and analytics
  - name: Heartbeat
    description: Operations for managing autonomous agent scheduling and execution
  - name: User Memory
    description: Operations for managing per-user memory entries
  - name: Email
    description: Operations for managing agent email functionality
  - name: Triggers
    description: Operations for firing proactive agent trigger events
  - name: CRM
    description: >-
      Operations for managing agent CRM contacts, pipelines, deals, follow-ups,
      and reports
  - name: Workflows
    description: Operations for managing agent workflow automations
  - name: Calendar
    description: Operations for managing agent calendar settings, availability, and events
  - name: Workspace
    description: Operations for managing agent workspaces and files
paths:
  /v1/bot/source/update:
    put:
      tags:
        - Memory
      summary: Update Memory Source
      description: Update an existing memory source
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMemorySourceRequest'
      responses:
        '200':
          description: Memory source updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemorySourceUpdateResponse'
        '404':
          description: Memory source not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateMemorySourceRequest:
      type: object
      required:
        - project_id
        - bot_id
        - source_id
      properties:
        project_id:
          type: string
          description: The project ID
        bot_id:
          type: string
          description: The agent ID
        source_id:
          type: string
          description: The memory source ID to update
        title:
          type: string
          description: Updated title
        description:
          type: string
          description: Updated description
        tags:
          type: array
          items:
            type: string
          description: Updated tags
        source:
          type: string
          description: Updated source content
        forget_after:
          type: string
          description: Updated forget duration
          enum:
            - 1 day
            - 1 week
            - 2 weeks
            - 1 month
            - 3 months
            - 6 months
            - 1 year
            - never
        sync_frequency:
          type: string
          description: Updated sync frequency
          enum:
            - never
            - weekly
            - monthly
    MemorySourceUpdateResponse:
      type: object
      description: Memory source update response containing only the ID and updated fields
      properties:
        id:
          type: string
          description: Memory source ID
        status:
          type: string
          description: Processing status (e.g., 'processing', 'success', 'failed')
        title:
          type: string
          description: Updated title (if changed)
        description:
          type: string
          description: Updated description (if changed)
        source:
          type: string
          description: Updated source URL (if changed)
        tags:
          type: string
          description: Updated tags as JSON string (if changed)
        sync_frequency:
          type: string
          description: Updated sync frequency (if changed)
        forget_after:
          type: string
          description: Updated forget duration (if changed)
        updated_at:
          type: string
          description: Last update timestamp
      required:
        - id
        - status
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your API key

````